webkit not found  [SOLVED]

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
raananb
Super wx Problem Solver
Super wx Problem Solver
Posts: 342
Joined: Fri Oct 27, 2006 4:35 pm
Location: Paris, France
Contact:

webkit not found

Postby raananb » Sun Dec 24, 2017 3:51 pm

On Ubuntu 16.04, application (trying) to use wxWebView with trunk;

1.
configure reports:
webkitgtk not found
Webkit not available, disabling wxWebView

2.
sudo apt-get install webkitgtk-1.0 is executed with no errors.

configure reports same info.

config.log reports:

configure:35042: checking for WEBKIT
configure:35050: $PKG_CONFIG --exists --print-errors "$webkitgtk >= 1.3.1"
Package webkit-1.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit-1.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit-1.0' found
configure:35053: $? = 1
configure:35068: $PKG_CONFIG --exists --print-errors "$webkitgtk >= 1.3.1"
Package webkit-1.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit-1.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit-1.0' found
configure:35071: $? = 1
No package 'webkit-1.0' found
configure:35100: WARNING: webkitgtk not found.
configure:35156: WARNING: WebKit not available, disabling wxWebView

3.
apt-get install webkit-1.0 reports:
Reading package lists... done
Building dependency tree
Reading state information... done
Note, selecting 'gir1.2-webkit-1.0' for regex'webkit-1.0'
0 updraded, 0 newly installed, 0 to remove and 420 not upgraded

configure still not convinced, and wxWebView still disabled.

I dont see how to proceed. Does anyone do?

DavidHart
Site Admin
Site Admin
Posts: 3719
Joined: Thu Jan 12, 2006 6:23 pm
Location: IoW, UK

Re: webkit not found  [SOLVED]

Postby DavidHart » Sun Dec 24, 2017 4:53 pm

Hi,

You need to install the development package, not (just) the lib package. Try:
sudo apt-get install libwebkitgtk-dev

Regards,

David

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 2468
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: webkit not found

Postby ONEEYEMAN » Tue Dec 26, 2017 3:44 pm

Hi,
In addition to what DavidHart said - try to install webkitgtk version 1.3 or above as configure suggested, and not just 1.0.

Thank you.

raananb
Super wx Problem Solver
Super wx Problem Solver
Posts: 342
Joined: Fri Oct 27, 2006 4:35 pm
Location: Paris, France
Contact:

Re: webkit not found

Postby raananb » Mon Jan 08, 2018 9:24 pm

webkitgtk1.0 work fine (with libwebkitgtk-dev) for me: my application does not display the web page, it just processes its contents.


Return to “Compiler / Linking / IDE Related”

Who is online

Users browsing this forum: ColleenKobe and 2 guests